commit:     175466db6ad2f1dfc97388e5b75668d17a9b53bf
Author:     Peter Kaukov <20661820+Kaukov <AT> users <DOT> noreply <DOT> github 
<DOT> com>
AuthorDate: Thu Apr  6 07:13:43 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr  6 07:20:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=175466db

media-sound/spotify: add 1.2.8

Closes: https://github.com/gentoo/gentoo/pull/30495
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-sound/spotify/Manifest             |   1 +
 media-sound/spotify/spotify-1.2.8.ebuild | 117 +++++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/media-sound/spotify/Manifest b/media-sound/spotify/Manifest
index 4146ee7ac38e..4b99f2e20fea 100644
--- a/media-sound/spotify/Manifest
+++ b/media-sound/spotify/Manifest
@@ -1 +1,2 @@
 DIST spotify-client_1.1.84.716.gc5f8b819-2_amd64.deb 119258436 BLAKE2B 
7dc1985bc1996f90dfa6389ffc9e107ac946bf391feb84ebc7f4fc9477531d9e921e7a5ab1969c9b462113cb69ffed355b02d7cf84d1a4ed8de58c97d6fa2ae1
 SHA512 
9ba6c2d155f683b9a38222d58a2a53a2a5f4b422ed1c0d603af87919ba8a68309aea3354278fd1d5d8142a1568d93b7e83b14c041e749b0c39f3bc155a633ef8
+DIST spotify-client_1.2.8.923.g4f94bf0d_amd64.deb 119841576 BLAKE2B 
2d7ce02907f00dfbd30020ea0576842253110deb10bb4de12807f9f9eacb84d7c6ee09f91da5aa2647c6e0eee7a1386d9059124012c1749e56ab081022d62815
 SHA512 
d4bc076d87018c851f851cc8b65e05b1611701994a97963bd63aa816518b1f5fa4d89956fea8ef234a41f1c4d6f8a3aa2bfc4fbd3b39f58f0bed5aec79c60edc

diff --git a/media-sound/spotify/spotify-1.2.8.ebuild 
b/media-sound/spotify/spotify-1.2.8.ebuild
new file mode 100644
index 000000000000..4848a4016a84
--- /dev/null
+++ b/media-sound/spotify/spotify-1.2.8.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop optfeature pax-utils unpacker xdg
+
+DESCRIPTION="Spotify is a social music platform"
+HOMEPAGE="https://www.spotify.com/download/linux/";
+SRC_BASE="http://repository.spotify.com/pool/non-free/s/${PN}-client/";
+BUILD_ID_AMD64="923.g4f94bf0d"
+SRC_URI="${SRC_BASE}${PN}-client_${PV}.${BUILD_ID_AMD64}_amd64.deb"
+
+LICENSE="Spotify"
+SLOT="0"
+KEYWORDS="amd64"
+IUSE="libnotify local-playback pax-kernel pulseaudio"
+RESTRICT="mirror strip"
+
+BDEPEND="
+       >=dev-util/patchelf-0.10
+       sys-devel/gettext
+"
+RDEPEND="
+       >=app-accessibility/at-spi2-core-2.46.0:2
+       dev-libs/nss
+       dev-python/dbus-python
+       libnotify? ( x11-libs/libnotify )
+       dev-libs/openssl:0=
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/harfbuzz
+       media-libs/mesa[X(+)]
+       net-misc/curl[ssl]
+       net-print/cups[ssl]
+       pulseaudio? ( media-sound/pulseaudio )
+       !pulseaudio? ( media-sound/apulse )
+       local-playback? ( media-video/ffmpeg:0/56.58.58 )
+       x11-libs/gtk+:3
+       x11-libs/libxkbcommon
+       x11-libs/libXScrnSaver
+       x11-libs/libXtst
+       x11-libs/libSM
+       x11-libs/libICE
+       !gnome-extra/gnome-integration-spotify
+"
+       #gnome-integration-spotify causes spotify to fail to launch
+       #sys-libs/glibc
+
+S="${WORKDIR}/"
+
+QA_PREBUILT="
+       opt/spotify/spotify-client/spotify
+       opt/spotify/spotify-client/libEGL.so
+       opt/spotify/spotify-client/libGLESv2.so
+       opt/spotify/spotify-client/libcef.so
+       opt/spotify/spotify-client/libvk_swiftshader.so
+       opt/spotify/spotify-client/libvulkan.so.1
+       opt/spotify/spotify-client/swiftshader/libEGL.so
+       opt/spotify/spotify-client/swiftshader/libGLESv2.so
+"
+
+src_prepare() {
+       default
+       # Spotify links against libcurl-gnutls.so.4, which does not exist in 
Gentoo.
+       patchelf --replace-needed libcurl-gnutls.so.4 libcurl.so.4 
usr/bin/spotify \
+               || die "failed to patch libcurl library dependency"
+}
+
+src_install() {
+       gunzip usr/share/doc/spotify-client/changelog.gz || die
+       dodoc usr/share/doc/spotify-client/changelog
+
+       SPOTIFY_PKG_HOME=usr/share/spotify
+       insinto /usr/share/pixmaps
+       doins ${SPOTIFY_PKG_HOME}/icons/*.png
+
+       # install in /opt/spotify
+       SPOTIFY_HOME=/opt/spotify/spotify-client
+       insinto ${SPOTIFY_HOME}
+       doins -r ${SPOTIFY_PKG_HOME}/*
+       fperms +x ${SPOTIFY_HOME}/spotify
+
+       dodir /usr/bin
+       SPOTIFY_HOME=${SPOTIFY_HOME} LIBDIR=$(get_libdir) \
+               envsubst '$SPOTIFY_HOME $LIBDIR' \
+               < "${FILESDIR}/spotify-wrapper" > "${D}/usr/bin/spotify" || die
+       fperms +x /usr/bin/spotify
+
+       local size
+       for size in 16 22 24 32 48 64 128 256 512; do
+               newicon -s ${size} 
"${S}${SPOTIFY_PKG_HOME}/icons/spotify-linux-${size}.png" \
+                       "spotify-client.png"
+       done
+       domenu "${S}${SPOTIFY_PKG_HOME}/spotify.desktop"
+       if use pax-kernel; then
+               #create the headers, reset them to default, then paxmark -m them
+               pax-mark C "${ED}${SPOTIFY_HOME}/${PN}" || die
+               pax-mark z "${ED}${SPOTIFY_HOME}/${PN}" || die
+               pax-mark m "${ED}${SPOTIFY_HOME}/${PN}" || die
+               eqawarn "You have set USE=pax-kernel meaning that you intend to 
run"
+               eqawarn "${PN} under a PaX enabled kernel.      To do so, we 
must modify"
+               eqawarn "the ${PN} binary itself and this *may* lead to 
breakage!  If"
+               eqawarn "you suspect that ${PN} is being broken by this 
modification,"
+               eqawarn "please open a bug."
+       fi
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       ewarn "If Spotify crashes after an upgrade its cache may be corrupt."
+       ewarn "To remove the cache:"
+       ewarn "rm -rf ~/.cache/spotify"
+
+       optfeature "systray integration on non-Gnome DEs" 
media-sound/spotify-tray
+}

Reply via email to